AquaMapsPortletCostants (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.constants

## Class AquaMapsPortletCostants

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.client.constants.AquaMapsPortletCostants

-     public class AquaMapsPortletCostants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AquaMapsPortletLocalImplUrl`
    `static String` | `AquaMapsPortletRemoteImplUrl`
    `static int` | `COMBOBOX_WIDTH`
    `static int` | `DESCRIPTION_HEIGHT`
    `static int` | `DESCRIPTION_WIDTH`
    `static int` | `DETAILS_HEIGHT`
    `static int` | `DETAILS_WIDTH`
    `static String` | `DIVNAME`
    `static String` | `EMPTY_TEXT`
    `static int` | `EnvelopeGridsHeight`
    `static int` | `Filter_Container_Width`
    `static int` | `FILTER_WIDTH`
    `static int` | `FILTERS_HEIGHT`
    `static int` | `FILTERS_SECTION_WIDTH`
    `static String` | `GISServletImplUrl`
    `static int` | `HEIGHT`
    `static int` | `POLYGON`
    `static int` | `RECTANGULAR`
    `static Map<ClientResourceType,String>` | `resourceNames`
    `static int` | `SELECTED_HEIGHT`
    `static int` | `SELECTION_HEIGHT`
    `static Map<String,String>` | `servletUrl`
    `static com.google.gwt.i18n.client.DateTimeFormat` | `timeFormat`
    `static int` | `WIDTH`
    `static int` | `WORKSPACE_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AquaMapsPortletCostants()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getNewsApplicationID()`
    `static String` | `getQueryStringParameter()`
    `static void` | `init()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AquaMapsPortletLocalImplUrl

          public static final String AquaMapsPortletLocalImplUrl

    - #### AquaMapsPortletRemoteImplUrl

          public static final String AquaMapsPortletRemoteImplUrl

    - #### GISServletImplUrl

          public static final String GISServletImplUrl

    - #### DIVNAME

          public static final String DIVNAME

      See Also:
        Constant Field Values

    - #### RECTANGULAR

          public static final int RECTANGULAR

      See Also:
        Constant Field Values

    - #### POLYGON

          public static final int POLYGON

      See Also:
        Constant Field Values

    - #### SELECTION_HEIGHT

          public static final int SELECTION_HEIGHT

      See Also:
        Constant Field Values

    - #### FILTERS_SECTION_WIDTH

          public static final int FILTERS_SECTION_WIDTH

      See Also:
        Constant Field Values

    - #### FILTER_WIDTH

          public static final int FILTER_WIDTH

      See Also:
        Constant Field Values

    - #### SELECTED_HEIGHT

          public static final int SELECTED_HEIGHT

      See Also:
        Constant Field Values

    - #### Filter_Container_Width

          public static final int Filter_Container_Width

      See Also:
        Constant Field Values

    - #### WIDTH

          public static final int WIDTH

      See Also:
        Constant Field Values

    - #### HEIGHT

          public static final int HEIGHT

      See Also:
        Constant Field Values

    - #### WORKSPACE_WIDTH

          public static final int WORKSPACE_WIDTH

      See Also:
        Constant Field Values

    - #### DETAILS_HEIGHT

          public static final int DETAILS_HEIGHT

      See Also:
        Constant Field Values

    - #### DETAILS_WIDTH

          public static final int DETAILS_WIDTH

      See Also:
        Constant Field Values

    - #### COMBOBOX_WIDTH

          public static final int COMBOBOX_WIDTH

      See Also:
        Constant Field Values

    - #### DESCRIPTION_WIDTH

          public static final int DESCRIPTION_WIDTH

      See Also:
        Constant Field Values

    - #### DESCRIPTION_HEIGHT

          public static final int DESCRIPTION_HEIGHT

      See Also:
        Constant Field Values

    - #### EnvelopeGridsHeight

          public static final int EnvelopeGridsHeight

      See Also:
        Constant Field Values

    - #### servletUrl

          public static final Map<String,String> servletUrl

    - #### resourceNames

          public static final Map<ClientResourceType,String> resourceNames

    - #### FILTERS_HEIGHT

          public static final int FILTERS_HEIGHT

      See Also:
        Constant Field Values

    - #### EMPTY_TEXT

          public static final String EMPTY_TEXT

      See Also:
        Constant Field Values

    - #### timeFormat

          public static com.google.gwt.i18n.client.DateTimeFormat timeFormat

  - ### Constructor Detail

    - #### AquaMapsPortletCostants

          public AquaMapsPortletCostants()

  - ### Method Detail

    - #### init

          public static void init()

    - #### getNewsApplicationID

          public static String getNewsApplicationID()

    - #### getQueryStringParameter

          public static String getQueryStringParameter()

Copyright © 2014. All Rights Reserved.